Subject: CLDR locale chaining doesn't work correctly
Description

Simply said, the chaining in order to get also de.xml when de_DE.xml is asked for, doesn't work correctly.

The problem is mostly that the CldrRepository's findLocaleChain() that is responsible for that functionality, relies on a function
localizationService->getParentLocaleOf(); while this function asks a localeCollection that never seems being populated correctly.

I'll add a test that should describe it better; anyhow I don't know if the mocking is correct (show inline PHP comment)

Associated revisions
Revision b2e4f3e9 - 2012-01-29 21:49 - Adrian Föder

[BUGFIX] CLDR locale chaining doesn't work correctly

When collecting CLDR resource files, the required chaining
is corrected (i.e. de_DE.xml also requires de.xml to be
included).

Change-Id: Ib10360c9d9f19cf2fedf1f880ede8b249fa67809
Fixes: #33148
Releases: 1.1

History
#1 - 2012-01-12 17:57 - Adrian Föder

Test is here: https://review.typo3.org/#change,7750
Please disregard the "Depends on"; just see the test.
https://review.typo3.org/#change,7761

#2 - 2012-01-13 17:35 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#3 - 2012-01-23 21:32 - Karsten Dambekalns

The use of getParentLocaleOf() in the CldrRepository is wrong - as it only contains Locales for which resources actually exist. For CLDR data the case
is different, the handling needs to be adjusted.
#4 - 2012-01-23 21:32 - Karsten Dambekalns
- Subject changed from Locale Chaining doesn't work correctly to CLDR locale chaining doesn't work correctly

#5 - 2012-01-23 21:33 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7761

#6 - 2012-01-23 21:50 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7761

#7 - 2012-01-29 21:46 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7761

#8 - 2012-01-29 21:50 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7761

#9 - 2012-02-02 02:43 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b2e4f3e94039135614bf8f3976da4f833cfaae42.
